<?php

/**
* K2 Auto Archiver plugin
* @version 1.0
* @author Peter Kovacs
* @copyright (C) Peter Kovacs, www.keepjoomla.com
* @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU/GPL version 2
*/

// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );


class plgContentK2autoarchiver extends JPlugin {

	function plgContentK2autoarchiver( &$subject, $params )
	{
		parent::__construct( $subject, $params );
	}


	function onPrepareContent( &$article, &$params, $limitstart ) {
		global $mainframe;
		$db =& JFactory::getDBO();		
		
		$whereA = Array();

		$plugin =& JPluginHelper::getPlugin( 'content', 'k2autoarchiver' );
		$pluginparams = new JParameter( $plugin->params );
		
		$action = $pluginparams->def('action');
		$sourcecat = trim($pluginparams->def('sourcecat'));
		$defaultcat = $pluginparams->def('defaultcat');
		
		$whereA[] = ' (a.trash != 1) ';
		if(!empty($sourcecat)) {
			$whereA[] = ' (a.catid IN (' . $sourcecat . '))';
		}

		switch($action) {
			case 'archive':
				if(!empty($defaultcat) && is_numeric($defaultcat)) {
					$query = 'UPDATE #__k2_items a SET a.catid='.$defaultcat;				
				} else {
					$query = 'UPDATE #__k2_items a SET a.catid=0 ';
					$whereA[] = ' FALSE ';
				}

			break;
		
			case 'trash':
				$query = 'UPDATE #__k2_items a SET a.trash=1 ';
				
			break;
			
			case 'delete':
				$query = 'DELETE FROM #__k2_items ';
				
			break;
		}

		$where = implode(' AND ', $whereA);				
		$query .= ' WHERE (a.publish_down > "0000-00-00 00:00:00") AND (a.publish_down < NOW()) AND
						' . $where;

		$db->setQuery($query);
		$db->query();
		
	}
}
